package com.ms.dal.mapper;

import com.ms.dal.entity.PlatformPurchaseOrderAddress;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.PurchaseOrderAddress
 */
@Mapper
public interface PlatformPurchaseOrderAddressMapper {

    int deleteByPrimaryKey(String id);

    int insert(PlatformPurchaseOrderAddress record);

    int insertOrUpdate(PlatformPurchaseOrderAddress record);

    int insertSelective(PlatformPurchaseOrderAddress record);

    PlatformPurchaseOrderAddress selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PlatformPurchaseOrderAddress record);

    int updateByPrimaryKey(PlatformPurchaseOrderAddress record);

}
